Suggestion: fine control in resource gauges
05/04/2015 07:15 PM - Kasuha

Status: Needs Clarification

Severity: Low

Assignee:
Target version:
Description

Tweaking amount of fuel/thrust ratio or parachute altitude is often 'pixel hunt' for me, at one pixel the value is 60, one pixel right it's
60.5 and this 0.5% is usually matter of the rocket flying or crashing. Please add [+] and [-] buttons at ends of these gauges so | can
set it roughly by dragging and then make fine adjustments using these buttons. Or add numpad +/- keys or mouse wheel function
over the gauge to make single steps in its value; for either their default function in view (zooming) is already masked but they do
nothing with the value.

Also parachutes have 50 as lowest setting but the very next is 300 and then it goes by 50, values 100, 150, 200, and 250 are missing
(or unreachable). Now that parachute opens slowly, these values would be very useful because for purposes of fast landing 50 is
often too little and 300 is already too much.

History

#1 - 05/05/2015 12:16 PM - BloodyRain2k

For the fine control I'd propose right click on the bar in question to allow entry of the value you want (this should be done globally so tweakables get it
to0).

Regarding chutes, I've had way too many impacts because | tried using 300m for fast landing that I'm just sticking with 500m, just the default pressure

is annoying because by default would you be at an altitude where your chutes burn up.
Also the change above should if done right give you the fine control for chutes.

#2 - 05/14/2015 08:58 AM - Squelch
This is a very good suggestion and has been often talked about, but seems to have never been tracked.
There is wider scope that this could be applied to, so | have created an issue for a more generalised method for setting discrete values.

#4 - 07/17/2016 09:29 AM - TriggerAu

- Status changed from New to Needs Clarification
#5 - 10/27/2016 11:59 AM - rspeed

What clarification is needed? The issue relates to the limitations of the Ul in tweabables. It can be challenging to get a desired value due to the fact
that the sliders are imprecise.
